Project Chrono: chrono::ChOutputFMU Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
chrono::ChOutputFMU Class Reference

## Description

Class for serializing variables to FmuComponentBase.

`#include <ChFmuToolsExport.h>`

Inheritance diagram for chrono::ChOutputFMU:
[legend]
Collaboration diagram for chrono::ChOutputFMU:
[legend]

## Public Member Functions
| ChOutputFMU (FmuComponentBase &fmucomp)
virtual void | out (ChNameValue< bool > bVal) override
virtual void | out (ChNameValue< int > bVal)
virtual void | out (ChNameValue< double > bVal) override
virtual void | out (ChNameValue< float > bVal) override
virtual void | out (ChNameValue< char > bVal) override
virtual void | out (ChNameValue< unsigned int > bVal) override
virtual void | out (ChNameValue< std::string > bVal) override
virtual void | out (ChNameValue< unsigned long > bVal) override
virtual void | out (ChNameValue< unsigned long long > bVal) override
virtual void | out (ChNameValue< ChEnumMapperBase > bVal) override
virtual void | out_array_pre (ChValue &bVal, size_t msize) override
virtual void | out_array_between (ChValue &bVal, size_t msize) override
virtual void | out_array_end (ChValue &bVal, size_t msize) override
virtual void | out (ChValue &bVal, bool tracked, size_t obj_ID) override
virtual void | out_ref (ChValue &bVal, bool already_inserted, size_t obj_ID, size_t ext_ID) override
Public Member Functions inherited from chrono::ChArchiveOut
void | SetCutAllPointers (bool mcut)
| If you enable SetCutAllPointers(true), no serialization happens for objects referenced via pointers.
std::unordered_set< void * > & | CutPointers ()
| Access the container of pointers that must not be serialized.
void | UnbindExternalPointer (void *mptr, size_t ID)
| Use the following to declare pointer(s) that must not be de-serialized but rather be 'unbind' and be saved just as unique IDs.
void | UnbindExternalPointer (std::shared_ptr< void > mptr, size_t ID)
| Use the following to declare pointer(s) that must not be de-serialized but rather be 'unbind' and be saved just as unique IDs.
virtual void | out (ChNameValue< FunGetSet< bool > > bVal) const
virtual void | out (ChNameValue< FunGetSet< int > > bVal) const
virtual void | out (ChNameValue< FunGetSet< double > > bVal) const
virtual void | out (ChNameValue< FunGetSet< float > > bVal) const
virtual void | out (ChNameValue< FunGetSet< char > > bVal) const
virtual void | out (ChNameValue< FunGetSet< unsigned int > > bVal) const
virtual void | out (ChNameValue< FunGetSet< const char * > > bVal) const
virtual void | out (ChNameValue< FunGetSet< unsigned long > > bVal) const
virtual void | out (ChNameValue< FunGetSet< unsigned long long > > bVal) const
template<class T>
void | out (ChNameValue< ChEnumMapper< T > > bVal)
template<class T, size_t N>
void | out (ChNameValue< T[N]> bVal)
template<class T>
void | out (ChNameValue< std::vector< T > > bVal)
template<class T>
void | out (ChNameValue< std::list< T > > bVal)
template<class T, class Tv>
void | out (ChNameValue< std::pair< T, Tv > > bVal)
template<class T, class Tv>
void | out (ChNameValue< std::unordered_map< T, Tv > > bVal)
template<class T, class Tv>
void | out (ChNameValue< std::map< T, Tv > > bVal)
template<class T>
void | out (ChNameValue< std::shared_ptr< T > > bVal)
template<class T>
void | out (ChNameValue< T * > bVal)
template<class T>
void | out (ChNameValue< T > bVal)
template<class T>
ChArchiveOut & | operator<< (ChNameValue< T > bVal)
| Operator to allow easy serialization as myarchive << mydata;.
void | VersionWrite (int iv)
template<class T>
void | VersionWrite ()
Public Member Functions inherited from chrono::ChArchive
void | SetUseVersions (bool muse)
| Turn off version info in archives.
void | SetClusterClassVersions (bool mcl)
| If true, the version number is not saved in each class.

## Protected Member Functions
void | pushLevelName (const std::string &newLevelName)
void | popLevelName ()
std::string | getCurrentVarName (std::string bVal_name)
Protected Member Functions inherited from chrono::ChArchiveOut
void | PutPointer (void *object, bool &already_stored, size_t &obj_ID)
| Find a pointer in pointer map: eventually add it to map if it was not previously inserted.
virtual void | out_version (int mver, const std::type_index mtypeid)

## Protected Attributes
int | tablevel
FmuComponentBase * | _fmucomp
std::stack< int > | nitems
std::deque< bool > | is_array
std::deque< std::string > | parent_names
Protected Attributes inherited from chrono::ChArchiveOut
std::unordered_map< void *, size_t > | internal_ptr_id
size_t | currentID
std::unordered_map< void *, size_t > | external_ptr_id
std::unordered_set< void * > | cut_pointers
bool | cut_all_pointers
Protected Attributes inherited from chrono::ChArchive
bool | cluster_class_versions
std::unordered_map< std::type_index, int > | class_versions
bool | use_versions

## Additional Inherited Members
Public Types inherited from chrono::ChArchiveOut
template<class T>
using | FunGetSet = std::pair<std::function<T(void)>, std::function<void(T)>>

## Member Function Documentation

## ◆ out() [1/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< bool > | bVal | ) |
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [2/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< char > | bVal | ) |
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [3/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< ChEnumMapperBase > | bVal | ) |
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [4/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< double > | bVal | ) |
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [5/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< float > | bVal | ) |
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [6/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< int > | bVal | ) |
| inlinevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [7/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< std::string > | bVal | ) |
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [8/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< unsigned int > | bVal | ) |
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [9/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< unsigned long > | bVal | ) |
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [10/11]

virtual void chrono::ChOutputFMU::out | ( | ChNameValue< unsigned long long > | bVal | ) |
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out() [11/11]

virtual void chrono::ChOutputFMU::out | ( | ChValue & | bVal,
|  | bool | tracked,
|  | size_t | obj_ID )
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out_array_between()

virtual void chrono::ChOutputFMU::out_array_between | ( | ChValue & | bVal,
|  | size_t | msize )
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out_array_end()

virtual void chrono::ChOutputFMU::out_array_end | ( | ChValue & | bVal,
|  | size_t | msize )
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out_array_pre()

virtual void chrono::ChOutputFMU::out_array_pre | ( | ChValue & | bVal,
|  | size_t | msize )
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

## ◆ out_ref()

virtual void chrono::ChOutputFMU::out_ref | ( | ChValue & | bVal,
|  | bool | already_inserted,
|  | size_t | obj_ID,
|  | size_t | ext_ID )
| inlineoverridevirtual

Implements chrono::ChArchiveOut.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono_fmi/fmi2/ChFmuToolsExport.h